<?
require_once('include/global.php');
require_once("include/member_lib.php");
require_once("include/file.php");
//require_once('./conf.inc.php');


// check
	if (!$_GET['cid'] || !is_numeric($_GET['sg_no']))
		msg('올바른 URL로 접근하여 주십시오');

	$sign = db_get_row("SELECT * FROM " . $TB['SIGN'] . ' WHERE sg_no = ' . $_GET['sg_no']);

	if ($sign) {
		$mbr = member_info($sign['m_no']);
	} else {
		msg('존재하지 않는 서명입니다.');
	}

// 이미지 실제 파일명 확인
//   'sg_files' => string 'mceu_73327652311757578504305.gif|1757578504.3195|1592' (length=53)
	$realname = null;
	if ($sign['sg_files']) {
		$_ex = explode('||', $sign['sg_files']);
		for ($i=0;$i <sizeof($_ex); $i++) {
			$files = explode('|', $_ex[$i]);
			if (sizeof($files) > 1) {
				if ($files[1] == $_GET['cid']) {
					$realname = $files[0];
				}
			}
		}
	}
	if (empty($realname)) {
		msg('존재하지 않는 서명입니다. (2)');
	}

// download
		$_GET['disposition'] = 'inline';
		$upload_dir = 'sign/'.$G_SYS[MAIL_DOMAIN].'/'. $mbr['m_mail_file_group'].'/'.$mbr['m_id'] . '/'. $_GET['sg_no'];
		$errorMsg = file_down(basename_fix($_GET['cid']), NULL, $upload_dir, null, $realname);
		if ($errorMsg)
		{
			errorlog("서명 이미지 다운로드가 실패하였습니다.\n=> " . $UPLOAD_ROOT . '/' . $upload_dir . '/' . $_GET['cid'] . $errorMsg, 'FILE');
			msg("서명 이미지 다운로드가 실패하였습니다.\\n=> " . $errorMsg);
		}		// if()

// 다운로드를 위해 디버깅정보 생략.
//require_once('include/global_end.php');
?>